
QGIS Application - Bug report #14736

Copy from table to Excel/text editor produces bad data

2016-04-27 04:17 AM - Magnus Nilsson

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 22694

Description

Hi

I discovered that QGIS has trouble exporting table data via the clipboard. Steps:

1. Open a table from the layer list

2. Select all

3. Copy

4. Open Excel or a text editor

5. Paste there

The result is the correct number of rows, but all of them containing data from just the first row.

QGIS 2.14.0, 64 bit

Windows 7, 64 bit

History

#1 - 2016-04-27 04:20 AM - Magnus Nilsson

I should add that this is a virtual layer. Also, doing "Save as..." to a CSV file produces correct output.

#2 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-08-30 10:18 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

- Description updated

Underlying issue is #16798 - I'll close this as a duplicate because the other ticket has more info
